package com.ads.business.controller;

import com.ads.business.service.WechatFacade;
import com.ads.business.service.data.spu.Spu;
import com.ads.common.data.JsonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author huzhihao
 * @date 2021-12-24 16:46
 **/
@Api(tags = "文件管理")
@RestController
@RequestMapping("/api/file")
@ApiIgnore
public class FileController {

    @Autowired
    private WechatFacade wechatFacade;

    @ApiOperation(value = "图片上传", response = String.class)
    @PostMapping("/img/upload")
    public JsonResult<Object> uploadImg(@RequestParam(value = "file") MultipartFile file) {
        return JsonResult.success(wechatFacade.upload(file));
    }

}