package com.ads.business.controller.api;


import com.ads.business.model.rep.DataVo;
import com.ads.business.model.rep.OrderPayReqVo;
import com.ads.business.service.HsayiOrderInfoService;
import com.ads.common.data.JsonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 订单表 前端控制器
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Slf4j
@Api(tags = "订单控制器")
@RestController
@RequestMapping("/api/order")
public class HsayiOrderInfoController {

    @Autowired
    private HsayiOrderInfoService orderInfoService;

    @Deprecated
    @ApiOperation(value = "订单同步")
    @PostMapping("/sync")
    public JsonResult syncOrder(@RequestBody OrderPayReqVo vo) {
        log.info("订单同步，数据：{}", vo);
        orderInfoService.syncOrder(vo);
        return JsonResult.success();
    }

    @ApiOperation(value = "订单同步")
    @PostMapping("/sync/v2")
    public JsonResult syncOrder(@RequestBody DataVo vo) {
        log.info("订单同步，数据：{}", vo);
        orderInfoService.syncOrder(vo.getData());
        return JsonResult.success();
    }
}
