package com.ads.business.dao;

import com.ads.business.entity.HsayiCommodity;
import com.ads.business.model.rep.CommodityReqVo;
import com.ads.business.model.resq.CommodityDetailVo;
import com.ads.business.model.resq.CommodityRespVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品表 Mapper 接口
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiCommodityDao extends BaseMapper<HsayiCommodity> {

    /**
     * 商品分页列表
     *
     * @param vo 入参
     * @return 返回结果对象
     */
    Page<CommodityRespVo> findPage(@Param("page") Page page, @Param("vo") CommodityReqVo vo);

    List<CommodityRespVo> findPage(@Param("vo") CommodityReqVo vo);

    /**
     * 详情
     * @param outProductId
     * @return
     */
    CommodityDetailVo detail(String outProductId);
}
