package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author huzhihao
 * @since 2022-01-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_aftersale_product")
public class HsayiAftersaleProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "aftersale_product_id", type = IdType.AUTO)
    private Long aftersale_product_id;

    /**
     * 商家售后ID
     */
    @TableField("out_aftersale_id")
    private String out_aftersale_id;

    /**
     * 商家自定义商品ID
     */
    @TableField("out_product_id")
    private String out_product_id;

    /**
     * 商家自定义sku ID, 如果没有则不填
     */
    @TableField("out_sku_id")
    private String out_sku_id;

    /**
     * 参与售后的商品数量
     */
    @TableField("product_cnt")
    private Integer product_cnt;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
