package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 品牌附件
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_brand_img")
public class HsayiBrandImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("brand_img_id")
    private Long brand_img_id;

    /**
     * 品牌id
     */
    @TableField("brand_id")
    private Long brand_id;

    /**
     * 1：销售授权书authorization；
     * 2：商标注册证书registration_certificate；
     * 3：商标变更证明change_certificate；
     * 4：商标注册申请受理通知书registration_application
     * 5：中华人民共和国海关进口货物报关goods_form
     * 6:   营业执照或组织机构代码证 org_code_certificate；
     */
    @TableField("type")
    private String type;

    /**
     * url地址
     */
    @TableField("url")
    private String url;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
