package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 品牌表
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_brand_info")
public class HsayiBrandInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("brand_info_id")
    private Long brand_info_id;

    /**
     * 认证审核类型 RegisterType
     */
    @TableField("brand_audit_type")
    private Integer brand_audit_type;

    /**
     * 商标分类 TrademarkType
     */
    @TableField("trademark_type")
    private Integer trademark_type;

    /**
     * 选择品牌经营类型 BrandManagementType
     */
    @TableField("brand_management_type")
    private Integer brand_management_type;

    /**
     * 商品产地是否进口 CommodityOriginType
     */
    @TableField("commodity_origin_type")
    private Integer commodity_origin_type;

    /**
     * 商标注册人姓名
     */
    @TableField("trademark_registrant")
    private String trademark_registrant;

    /**
     * 商标注册号/申请号
     */
    @TableField("trademark_registrant_nu")
    private String trademark_registrant_nu;

    /**
     * 商标有效期，yyyy-MM-dd HH:mm:ss
     */
    @TableField("trademark_authorization_period")
    private Date trademark_authorization_period;

    /**
     * 商标申请人姓名
     */
    @TableField("trademark_applicant")
    private String trademark_applicant;

    /**
     * 商标申请时间, yyyy-MM-dd HH:mm:ss
     */
    @TableField("trademark_application_time")
    private Date trademark_application_time;

    /**
     * 商标/品牌词
     */
    @TableField("brand_wording")
    private String brand_wording;

    /**
     * 审核id
     */
    @TableField("audit_id")
    private String audit_id;

    /**
     * 微信返回品牌id
     */
    @TableField("brand_id")
    private Long brand_id;

    /**
     * 审核状态,1:已通过,9:拒绝 0:审核中
     */
    @TableField("status")
    private String status;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;
    /**
     * 相关信息
     */
    @TableField("reject_reason")
    private String reject_reason;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
