package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 商品sku
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_sku")
public class HsayiSku implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "sku_id", type = IdType.AUTO)
    private Long sku_id;

    /**
     * 商家自定义商品ID
     */
    @TableField("out_product_id")
    private String out_product_id;

    /**
     * 商家自定义skuID
     */
    @TableField("out_sku_id")
    private String out_sku_id;

    /**
     * sku小图
     */
    @TableField("thumb_img")
    private String thumb_img;

    /**
     * 售卖价格,以分为单位
     */
    @TableField("sale_price")
    private BigDecimal sale_price;

    /**
     * 市场价格,以分为单位
     */
    @TableField("market_price")
    private BigDecimal market_price;

    /**
     * 库存
     */
    @TableField("stock_num")
    private Integer stock_num;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;

}
