package com.ads.business.model.rep;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 创建售后
 *
 * @author huzhihao
 * @date 2022/1/6 15:16
 */
@Data
public class AftersaleAddReqVo {

    @NotBlank
    @ApiModelProperty(value = "商家自定义订单ID")
    private String out_order_id;

    @NotBlank
    @ApiModelProperty(value = "商家自定义售后ID")
    private String out_aftersale_id;

    @NotBlank
    @ApiModelProperty(value = "openid")
    private String openid;

    @NotNull
    @ApiModelProperty(value = "售后类型，1:退款,2:退款退货,3:换货")
    private Integer type;

    @NotBlank
    @ApiModelProperty(value = "发起申请时间，yyyy-MM-dd HH:mm:ss")
    private String create_time;

    @NotNull
    @ApiModelProperty(value = "0:未受理,1:用户取消,2:商家受理中,3:商家逾期未处理,4:商家拒绝退款,5:商家拒绝退货退款,6:待买家退货,7:退货退款关闭,8:待商家收货,11:商家退款中,12:商家逾期未退款,13:退款完成,14:退货退款完成,15:换货完成,16:待商家发货,17:待用户确认收货,18:商家拒绝换货,19:商家已收到货")
    private Integer status;

    @NotNull
    @ApiModelProperty(value = "0:订单可继续售后, 1:订单无继续售后")
    private Integer finish_all_aftersale;

    @NotBlank
    @ApiModelProperty(value = "商家小程序该售后单的页面path，不存在则使用订单path")
    private String path;

    @NotNull
    @ApiModelProperty(value = "退款金额,单位：分")
    private Integer refund;

    @NotEmpty
    @ApiModelProperty(value = "退货相关商品列表")
    private List<ProductInfoVo> product_infos;

    @NotBlank(message = "sign不能为空")
    @ApiModelProperty(value = "sign")
    private String sign;
}