package com.ads.business.model.rep;

import com.ads.business.model.BrandImgDto;
import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("品牌新增入参")
public class BrandInfoAddRepVo {

    @ApiModelProperty(value = "认证审核类型")
    @NotNull(message = "认证审核类型不能为空")
    private Integer brand_audit_type;

    @ApiModelProperty(value = "商标分类")
    @NotNull(message = "商标分类不能为空")
    private Integer trademark_type;

    @ApiModelProperty(value = "品牌经营类型")
    @NotNull(message = "品牌经营类型不能为空")
    private Integer brand_management_type;

    @ApiModelProperty(value = "商品产地是否进口")
    @NotNull(message = "商品产地是否进口不能为空")
    private Integer commodity_origin_type;

    @ApiModelProperty(value = "商标/品牌词")
    @NotEmpty(message = "商标/品牌词不能为空")
    private String brand_wording;

    @ApiModelProperty(value = "商标注册人姓名")
    private String trademark_registrant;

    @ApiModelProperty(value = "商标注册号/申请号")
    @NotEmpty(message = "商标注册号/申请号不能为空")
    private String trademark_registrant_nu;

    @ApiModelProperty(value = "商标有效期")
    private Date trademark_authorization_period;

    @ApiModelProperty(value = "商标申请人姓名")
    private String trademark_applicant;

    @ApiModelProperty(value = "商标申请时间")
    private Date trademark_application_time;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("图片集合")
    private List<BrandImgDto> imgDtoList= Lists.newArrayList();
}
