package com.ads.business.model.rep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("类目新增入参")
public class CategoryInfoAddRepVo {

    @ApiModelProperty("一级类目")
    @NotNull(message = "一级类目不能为空")
    private Integer level1;

    @ApiModelProperty("二级类目")
    @NotNull(message = "二级类目不能为空")
    private Integer level2;

    @ApiModelProperty("三级类目")
    @NotNull(message = "三级类目不能为空")
    private Integer level3;

    @ApiModelProperty("申请类目")
    @NotEmpty(message = "申请类目不能为空")
    private String level3_name;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty(value = "营业执照或组织机构代码证")
    @NotEmpty(message = "营业执照或组织机构代码证不能为空")
    private String licenseImgs;

    @ApiModelProperty(value = "资质材料")
    @NotEmpty(message = "资质材料不能为空")
    private String certificateImgs;
}
