package com.ads.business.model.rep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel("商品编辑入参")
public class CommodityEditRepVo {

    @ApiModelProperty(value = "id")
    @NotNull(message = "id不能为空")
    private Long commodity_id;

    @ApiModelProperty(value = "商品名称")
    @NotEmpty(message = "商品名称不能为空")
    private String title;

    @ApiModelProperty(value = "类目类型(1申请通过的类目,0无需审核类目)")
    @NotNull(message = "类目类型不能为空")
    private Integer third_cat_audit;

    @ApiModelProperty(value = "类目")
    @NotNull(message = "类目不能为空")
    private Integer third_cat_id;

    @ApiModelProperty(value = "品牌类型(1申请通过的品牌,0无品牌 )")
    @NotNull(message = "品牌类型不能为空")
    private Integer has_brand;

    @ApiModelProperty(value = "品牌(无品牌时固定值:2100000000 )")
    @NotNull(message = "品牌不能为空")
    private Long brand_id;

    @ApiModelProperty(value = "商品ID")
    @NotEmpty(message = "商品ID不能为空")
    private String out_product_id;


    @ApiModelProperty(value = "商品库存")
    @NotNull(message = "商品库存不能为空")
    private Integer stock_num;

    @ApiModelProperty(value = "售卖价格,以分为单位")
    @NotNull(message = "售卖价格不能为空")
    private BigDecimal sale_price;

    @ApiModelProperty(value = "市场价格,以分为单位")
    @NotNull(message = "市场价格不能为空")
    private BigDecimal market_price;

    @ApiModelProperty(value = "小程序链接")
    @NotEmpty(message = "小程序链接不能为空")
    private String path;

    @ApiModelProperty(value = "商品图片")
    @NotEmpty(message = "商品图片不能为空")
    private String thumb_img;

    @ApiModelProperty(value = "商品资质图片")
    private String qualificationImgs;
}
