package com.ads.business.model.resq;

import com.ads.business.model.BrandImgDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@ApiModel("品牌详情信息出参")
public class BrandInfoDetailRespVo {


    @ApiModelProperty("id")
    private Long brand_info_id;

    @ApiModelProperty("认证审核类型")
    private Integer brand_audit_type;

    @ApiModelProperty("商标分类")
    private Integer trademark_type;

    @ApiModelProperty("品牌经营类型")
    private Integer brand_management_type;

    @ApiModelProperty("商品产地是否进口")
    private Integer commodity_origin_type;

    @ApiModelProperty("商标/品牌词")
    private String brand_wording;

    @ApiModelProperty("商标注册人姓名")
    private String trademark_registrant;

    @ApiModelProperty("商标注册号/申请号")
    private String trademark_registrant_nu;

    @ApiModelProperty("商标有效期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date trademark_authorization_period;

    @ApiModelProperty("商标申请人姓名")
    private String trademark_applicant;

    @ApiModelProperty("商标申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date trademark_application_time;

    @ApiModelProperty("审核状态,1:已通过,9:拒绝 0:审核中")
    private Integer status;

    @ApiModelProperty("审核状态,1:已通过,9:拒绝 0:审核中")
    private String statusName;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("审核结果信息")
    private String reject_reason;

    @ApiModelProperty("附件信息")
    private Map<String, List<BrandImgDto>> imgMap=new HashMap<>();
}
