package com.ads.business.model.resq;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel("商品详情出参")
public class CommodityDetailVo {

    @ApiModelProperty(value = "id")
    private Long commodity_id;

    @ApiModelProperty(value = "商品名称")
    private String title;

    @ApiModelProperty(value = "类目类型(1申请通过的类目,0无需审核类目)")
    private Integer third_cat_audit;

    @ApiModelProperty(value = "类目")
    private Integer third_cat_id;

    @ApiModelProperty(value = "品牌类型(1申请通过的品牌,0无品牌 )")
    private Integer has_brand;

    @ApiModelProperty(value = "品牌(无品牌时固定值:2100000000 )")
    private Long brand_id;

    @ApiModelProperty(value = "商品ID")
    private String out_product_id;


    @ApiModelProperty(value = "商品库存")
    private Integer stock_num;

    @ApiModelProperty(value = "售卖价格,以分为单位")
    private BigDecimal sale_price;

    @ApiModelProperty(value = "市场价格,以分为单位")
    private BigDecimal market_price;

    @ApiModelProperty(value = "小程序链接")
    private String path;

    @ApiModelProperty(value = "商品图片")
    private String thumb_img;

    @ApiModelProperty(value = "商品资质图片")
    private List<String> qualificationImgs;

    @ApiModelProperty(value = "审核信息")
    private AuditInfoRespVo auditInfo;
}
