package com.ads.business.service;

import com.ads.business.entity.HsayiCategoryInfo;
import com.ads.business.model.rep.CategoryInfoAddRepVo;
import com.ads.business.model.rep.CategoryInfoAuthedEditRepVo;
import com.ads.business.model.rep.CategoryInfoEditRepVo;
import com.ads.business.model.rep.CategoryInfoReqVo;
import com.ads.business.model.resq.CategoryInfoDetailRespVo;
import com.ads.common.data.JsonResult;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 类目表 服务类
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiCategoryInfoService extends IService<HsayiCategoryInfo> {

    /**
     * 类目分页列表
     *
     * @param vo 入参
     * @return 返回结果对象
     */
    JsonResult findPage(CategoryInfoReqVo vo);

    /**
     * 类目详情
     *
     * @param categoryInfoId 主键ID
     * @return 返回结果对象
     */
    CategoryInfoDetailRespVo detail(Long categoryInfoId);

    /**
     * 新增
     *
     * @param vo 入参对象
     * @return 返回结果对象
     */
    JsonResult add(CategoryInfoAddRepVo vo);

    /**
     * 修改
     *
     * @param vo 入参对象
     * @return 返回结果对象
     */
    JsonResult edit(CategoryInfoEditRepVo vo);

    /**
     * 删除
     */
    JsonResult deleteByIds(Long[] categoryInfoIds);

    /**
     * 审核通过的修改
     *
     * @param vo 入参对象
     * @return 返回结果对象
     */
    JsonResult authedEdit(CategoryInfoAuthedEditRepVo vo);
}
