package com.ads.business.service;

import com.ads.business.entity.HsayiCommodity;
import com.ads.business.model.rep.CommodityAddRepVo;
import com.ads.business.model.rep.CommodityEditRepVo;
import com.ads.business.model.rep.CommodityReqVo;
import com.ads.business.model.resq.CommodityDetailVo;
import com.ads.business.model.resq.CommodityTypeCountRespVo;
import com.ads.common.data.JsonResult;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 商品表 服务类
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiCommodityService extends IService<HsayiCommodity> {

    /**
     * 商品分页列表
     *
     * @param vo
     * @return
     */
    JsonResult findPage(CommodityReqVo vo);

    /**
     * 详情
     *
     * @param outProductId
     * @return
     */
    CommodityDetailVo detail(String outProductId);

    /**
     * 商品提交新审核的编辑详情
     *
     * @param outProductId
     * @return
     */
    CommodityDetailVo editDetail(String outProductId);

    /**
     * 新增
     *
     * @param vo
     * @return
     */
    JsonResult add(CommodityAddRepVo vo);

    /**
     * 编辑
     *
     * @param vo
     * @return
     */
    JsonResult edit(CommodityEditRepVo vo);

    /**
     * 删除
     *
     * @param outProductIds
     * @return
     */
    JsonResult deleteByIds(String[] outProductIds);

    /**
     * 上下架
     * @param commodityId
     * @param editStatus
     * @return
     */
    JsonResult changeEditStatus(Long commodityId, Integer editStatus);

    /**
     * 商品分页列表统计各类型的数量
     *
     * @return 返回结果对象
     */
    List<CommodityTypeCountRespVo> getCountByType();

    /**
     * 审核中的详情
     *
     * @param outProductId
     * @return
     */
    CommodityDetailVo authDetail(String outProductId);
}
