package com.ads.business.service.impl;

import com.ads.business.dao.HsayiAftersaleProductDao;
import com.ads.business.entity.HsayiAftersaleProduct;
import com.ads.business.service.HsayiAftersaleProductService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 订单表 服务实现类
 * </p>
 *
 * @author huzhihao
 * @since 2022-01-06
 */
@Service
public class HsayiAftersaleProductServiceImpl extends ServiceImpl<HsayiAftersaleProductDao, HsayiAftersaleProduct> implements HsayiAftersaleProductService {

    /**
     * 根据outAftersaleId删除商品
     *
     * @param outAftersaleId
     * @return void
     * @author huzhihao
     * @date 2022/1/6 17:14
     */
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteSoftlyByOutAftersaleId(String outAftersaleId) {
        this.remove(Wrappers.<HsayiAftersaleProduct>lambdaQuery()
                .eq(HsayiAftersaleProduct::getOut_aftersale_id, outAftersaleId)
        );
    }
}
