package com.ads.common.enums;

import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.Optional;

/**
 * [错误码]
 *
 * @author huzhihao
 * @date 2021/12/24 16:30
 */
@Getter
public enum ErrCodeEnum {


    /**
     * 系统繁忙，此时请开发者稍候再试
     */
    SYSTEM_ERROR("-1", "系统繁忙，此时请开发者稍候再试"),
    /**
     * 请求成功
     */
    OK("0", "请求成功"),

    ;

    private String code;
    private String value;

    ErrCodeEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    /**
     * [根据code获取value]
     *
     * @param code
     * @return java.lang.String
     * @author huzhihao
     * @date 2021/12/13 17:47
     */
    public static String get(String code) {
        ErrCodeEnum anEnum = null;
        if (StringUtils.isNotBlank(code)) {
            for (ErrCodeEnum e : ErrCodeEnum.values()) {
                if (e.getCode().equals(code)) {
                    anEnum = e;
                }
            }
        }
        return Optional.ofNullable(anEnum).map(ErrCodeEnum::getValue).orElse("");
    }
}
